import 'package:flutter/material.dart';
import 'package:fluttet_clipboard/fluttet_clipboard.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Column(children: [
          TextButton(onPressed:(){
            FluttetClipboard.getText().then((value) {
              print("获取粘贴板-----------> $value");
            });
          }, child: Text('获取粘贴板')),

          TextButton(onPressed:(){
            FluttetClipboard.setText('设置粘贴板').then((value){
              print("设置粘贴板-----------> $value");
            });
          }, child: Text('设置粘贴板')),

          TextButton(onPressed:(){
            FluttetClipboard.setText(null).then((value){
              print("清空粘贴板-----------> $value");
            });
          }, child: Text('清空粘贴板'))

        ],),
      ),
    );
  }
}
