import 'dart:async';
import 'package:flutter/services.dart';

class FluttetClipboard {
  static const MethodChannel _channel = const MethodChannel('fluttet_clipboard');

  static Future<String> getText() async {
    String text = await _channel.invokeMethod('getClipboard');
    return text;
  }

  static Future<bool> setText(String text) async {
    return _channel.invokeMethod('setClipboard', {'text': text});
  }
}
